it-swarm.com.de

Installation von Tensorflow mit GPU-Unterstützung. libcublas.so.9.0 fehlt nach der Installation der GPU-Voraussetzungen

Ich versuche, Tensorflow mit GPU-Unterstützung unter Ubuntu 16.04 64x für eine Conda-Umgebung mit Python 3.6 zu installieren.

Ich habe versucht, alle GPU-Anforderungen zu installieren und dann pip install --ignore-installed --upgrade https://storage.googleapis.com/tensorflow/linux/gpu/tensorflow_gpu-1.10.0-cp36-cp36m-linux_x86_64.whl in meiner Conda-Umgebung auszuführen.

Wenn ich jedoch ein Python Terminal öffne und import tensorflow as tf versuche, erhalte ich ImportError: libcublas.so.9.0: cannot open shared object file: No such file or directory.

Dies ist der Stand der Anforderungen:

  • NVIDIA-Treiberversion: 384.130 (dies ist die Ausgabe von nvidia-smi)
  • CUDA-Compiler-Treiber: release 7.5, V7.5.17 (dies ist die Ausgabe von nvcc -v)
  • CUDA: Version 9.2.148 (dies ist die Ausgabe von cat /usr/local/cuda/version.txt). Ich bin wirklich verwirrt, weil ich woanders gelesen habe, dass die CUDA-Version und die nvcc-Version übereinstimmen sollten.
  • cuDNN: Ich denke, ich habe es installiert? Ich habe das .deb-Paket heruntergeladen und habe Sudo dpkg -i /path/to/deb/file gefolgt von Sudo apt-get install -f ausgeführt. Aber das Internet sagt mir, dass das Ausführen von cat /usr/local/cuda/include/cudnn.h | grep CUDNN_MAJOR -A 2 mir die cuDNN-Version geben sollte und es beschwert sich, dass die Datei nicht existiert.
  • CUPTI: ​​Ich habe export LD_LIBRARY_PATH=$LD_LIBRARY_PATH:/usr/local/cuda/extras/CUPTI/lib64 ausgeführt, wie im Tensorflow-Anforderungshandbuch angegeben.

Was soll ich jetzt versuchen?


Vollständige Fehlersuche:

>>> import tensorflow
Traceback (most recent call last):
  File "/home/jsevillamol/anaconda3/envs/ctlearn/lib/python3.6/site-packages/tensorflow/python/pywrap_tensorflow.py", line 58, in <module>
    from tensorflow.python.pywrap_tensorflow_internal import *
  File "/home/jsevillamol/anaconda3/envs/ctlearn/lib/python3.6/site-packages/tensorflow/python/pywrap_tensorflow_internal.py", line 28, in <module>
    _pywrap_tensorflow_internal = swig_import_helper()
  File "/home/jsevillamol/anaconda3/envs/ctlearn/lib/python3.6/site-packages/tensorflow/python/pywrap_tensorflow_internal.py", line 24, in swig_import_helper
    _mod = imp.load_module('_pywrap_tensorflow_internal', fp, pathname, description)
  File "/home/jsevillamol/anaconda3/envs/ctlearn/lib/python3.6/imp.py", line 243, in load_module
    return load_dynamic(name, filename, file)
  File "/home/jsevillamol/anaconda3/envs/ctlearn/lib/python3.6/imp.py", line 343, in load_dynamic
    return _load(spec)
ImportError: libcublas.so.9.0: cannot open shared object file: No such file or directory

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "<stdin>", line 1, in <module>
  File "/home/jsevillamol/anaconda3/envs/ctlearn/lib/python3.6/site-packages/tensorflow/__init__.py", line 22, in <module>
    from tensorflow.python import pywrap_tensorflow  # pylint: disable=unused-import
  File "/home/jsevillamol/anaconda3/envs/ctlearn/lib/python3.6/site-packages/tensorflow/python/__init__.py", line 49, in <module>
    from tensorflow.python import pywrap_tensorflow
  File "/home/jsevillamol/anaconda3/envs/ctlearn/lib/python3.6/site-packages/tensorflow/python/pywrap_tensorflow.py", line 74, in <module>
    raise ImportError(msg)
ImportError: Traceback (most recent call last):
  File "/home/jsevillamol/anaconda3/envs/ctlearn/lib/python3.6/site-packages/tensorflow/python/pywrap_tensorflow.py", line 58, in <module>
    from tensorflow.python.pywrap_tensorflow_internal import *
  File "/home/jsevillamol/anaconda3/envs/ctlearn/lib/python3.6/site-packages/tensorflow/python/pywrap_tensorflow_internal.py", line 28, in <module>
    _pywrap_tensorflow_internal = swig_import_helper()
  File "/home/jsevillamol/anaconda3/envs/ctlearn/lib/python3.6/site-packages/tensorflow/python/pywrap_tensorflow_internal.py", line 24, in swig_import_helper
    _mod = imp.load_module('_pywrap_tensorflow_internal', fp, pathname, description)
  File "/home/jsevillamol/anaconda3/envs/ctlearn/lib/python3.6/imp.py", line 243, in load_module
    return load_dynamic(name, filename, file)
  File "/home/jsevillamol/anaconda3/envs/ctlearn/lib/python3.6/imp.py", line 343, in load_dynamic
    return _load(spec)
ImportError: libcublas.so.9.0: cannot open shared object file: No such file or directory
1
Jsevillamol

Cuda 9.0 kann mit den Codes des folgenden Tutorials installiert werden

https://www.tensorflow.org/install/gp

# Add NVIDIA package repository
Sudo apt-key adv --fetch-keys http://developer.download.nvidia.com/compute/cuda/repos/ubuntu1604/x86_64/7fa2af80.pub
wget http://developer.download.nvidia.com/compute/cuda/repos/ubuntu1604/x86_64/cuda-repo-ubuntu1604_9.1.85-1_AMD64.deb
Sudo apt install ./cuda-repo-ubuntu1604_9.1.85-1_AMD64.deb
wget http://developer.download.nvidia.com/compute/machine-learning/repos/ubuntu1604/x86_64/nvidia-machine-learning-repo-ubuntu1604_1.0.0-1_AMD64.deb
Sudo apt install ./nvidia-machine-learning-repo-ubuntu1604_1.0.0-1_AMD64.deb
Sudo apt update

# Install CUDA and tools. Include optional NCCL 2.x
Sudo apt install cuda9.0 cuda-cublas-9-0 cuda-cufft-9-0 cuda-curand-9-0 \
    cuda-cusolver-9-0 cuda-cusparse-9-0 libcudnn7=7.2.1.38-1+cuda9.0 \
    libnccl2=2.2.13-1+cuda9.0 cuda-command-line-tools-9-0

# Optional: Install the TensorRT runtime (must be after CUDA install)
Sudo apt update
Sudo apt install libnvinfer4=4.1.2-1+cuda9.0
3
fakturk

Fest! Es stellt sich heraus, dass die standardmäßig installierte TF-Distribution CUDA 9.2 nicht unterstützt. Ich habe ein Downgrade auf CUDA 9.0 durchgeführt und jetzt funktioniert es vorläufig.

1
Jsevillamol